# std::make_error_condition(std::errc)

From cppreference.com
< cpp‎ | error‎ | errc

Defined in header `<system_error>` |  |
std::error_condition make_error_condition( std::errc e ); |  | (since C++11)

Creates an error condition for an `errc` value `e`. Sets the error code to int(e) and error category to std::generic_category.

### Parameters

e | - | standard error code

### Return value

Error condition for `e`.

### Exceptions

`noexcept` specification:
noexcept

### Example

Run this code

    #include <system_error>
    #include <string>
    #include <iostream>

    int main()
    {
        auto err = std::make_error_condition(std::errc::invalid_argument);
        std::cout << err.message() << '\n';
    }

Possible output:

    Invalid argument

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/error/errc/make_error_condition&oldid=91790"
Category:

- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template